One of the sites I maintain is running 3.7.3 Patch Level 1 (we just [properly - using the vBulletin customer service site] migrated an older owned license from a "dead" community and used it...